$.ctrl["view-cadastre"] = {
  initialize: function() {
    $.view("view-cadastre", this.cadastre);
  },

  cadastre: function() {
    var self = $.ctrl["view-cadastre"];
    $("#cadastre").send(self.sendSuccess, self.sendError);
    $("#model").val(device.model);
    $("#version_so").val(device.version);
    $("#uuid").val(device.uuid);

    $(".showPassword").on("tapstart", function() {
      if ($(this).attr("show") == 0) {
        $(this).prev("input[name='password']").attr("type", "text");
        $(this).text("OCULTAR").attr("show", 1);
      } else {
        $(this).prev("input[name='password']").attr("type", "password");
        $(this).text("MOSTRAR").attr("show", 0);
      }
    });

  },

  sendSuccess: function(data) {
    if (data == "email_error") {
      $.alert("Email já cadastrado, por favor, utilize outro email para completar o cadastro!");
    } else {
      user.setId(data);
      $.dialog.info("Cadastro", "Para finalizar o seu cadastro, leve sua habilitação, documentos da moto e licença de trabalho (alvará) para a associação parceira mais próxima ou entre em contato com taximoto@sysvale.com.<br><br>Em Juazeiro/BA, procure a Juá do Vale (AMJV) Telefone: 74 9 88080120.", function() {
        location.hash = "";
      });
    }
  },

  sendError: function() {
    $.alert("Erro ao fazer o cadastro.");
  }
};

$.ctrl["view-cadastre"].initialize();
