$.ctrl["view-login-form"] = {
  initialize: function() {
    $.view("view-login-form", this.login);
  },

  deviceInfo: function() {
    // Atualiza informações do dispositivo no campo de login
    $("input[name='model']").val(device.model);
    $("input[name='version_so']").val(device.version);
    $("input[name='uuid']").val(device.uuid);
  },

  login: function() {
    var self = $.ctrl["view-login-form"];
    $("#login").send(self.sendSuccess, self.sendError);
    if (typeof sessionvalue == "undefined" || sessionvalue == null)
      document.addEventListener("deviceready", self.deviceInfo, false);
    else
      self.deviceInfo();

    $(".showPassword").on("tapstart", function() {
      if ($(this).attr("show") == 0) {
        $(this).prev("input[name='password']").attr("type", "text");
        $(this).text("OCULTAR").attr("show", 1);
      } else {
        $(this).prev("input[name='password']").attr("type", "password");
        $(this).text("MOSTRAR").attr("show", 0);
      }
    });

  },

  sendSuccess: function(data) {
    if (data == 0)
      $.alert("Email e senha não conferem.");
    else {
      user.setId(data);
      routes();
    }
  },

  sendError: function() {
    $.alert("Error ao realizar login.");
  }

};

$.ctrl["view-login-form"].initialize();
