$.ctrl["view-map"] = {

  initialize: function() {

    connectSocket();
    $.view("view-map", function() {
      $(".menu-option").unbind("swipe swipeleft").on("swipe swipeleft", function() {
        $("#button-status").prop('checked', false).change();
      });
      $(".menu-option").unbind("swipe swiperight").on("swipe swiperight", function() {
        $("#button-status").prop('checked', true).change();
      });

      $("#button-status").change(function() {

        $.post("enabled", {
          status: $(this).prop('checked') ? "E" : "B"
        }, function(data) {
          if (data == "E" || data == "C" || data == "R") {
            user.setStatus("E");
            $("#submenu").removeClass("bg-offline");
            $("#submenu").addClass("bg-online");
            $("#submenu").html("Em serviço");
            $("#button-status").prop('checked', true);
            gps.setWatchMotion(true);

            cordova.plugins.backgroundMode.setDefaults({
              title: "Taximoto",
              ticker: "Mototaxista ativo",
              text: "Mototaxista ativo"
            });
            cordova.plugins.backgroundMode.enable();

          } else if (data == "B") {
            user.setStatus("B");
            $("#submenu").addClass("bg-offline");
            $("#submenu").removeClass("bg-online");
            $("#submenu").html("Fora de serviço");
            $("#button-status").prop('checked', false);

            gps.setWatchMotion(false);
            clearTimeout(timeout);

            cordova.plugins.backgroundMode.disable();
          } else {
            user.setStatus("B");
            $("#button-status").prop('checked', false);
            $("#submenu").addClass("bg-offline");
            $("#submenu").removeClass("bg-online");
            $("#submenu").html("Fora de serviço");
            $("#button-status").prop('checked', false);

            gps.setWatchMotion(false);
            clearTimeout(timeout);

            cordova.plugins.backgroundMode.disable();
          }

          if (data == "W") {
            $.dialog.info("Cadastro", "Para finalizar o seu cadastro, leve sua habilitação, documentos da moto e licença de trabalho (alvará) para a associação parceira mais próxima ou entre em contato com taximoto@sysvale.com.<br><br>Em Juazeiro/BA, procure a Juá do Vale (AMJV) Telefone: 74 9 88080120.");
          } else if (data == "D") {
            $.dialog.info("Cadastro", "Seu cadastro está bloqueado, entre em contato com a empresa responsável.");
          }
        }, function() {
          $.alert("Ocorreu algum erro ao mudar de status.");
          $("#button-status").prop('checked', !$("#button-status").prop('checked'));
        });
      });

      // Constrói mapa na div #map
      // gps.setMapIni();
      // $(gps.centerLocationButton);

      showMenu = function() {
        $(".menu-icon").on("tapstart", function() {
          $(".menu-exit").unbind("tapstart").on("tapstart", function() {
            $("#panel-menu").velocity("fadeOut", 100, {
              display: "none"
            });
          });
          $("li", ".panel-menu-options").unbind("tapstart").on("tapstart", function() {
            $("li.active", ".panel-menu-options").removeClass("active");
            $(this).addClass("active");
            $("#panel-menu").velocity("transition.fadeOut", 100, {
              display: "none"
            });
          });
          $("#panel-menu").velocity("fadeIn", 100, {
            display: "block"
          })
        });
      }
      showMenu();

    });
  }
};

document.addEventListener('deviceready', $.ctrl["view-map"].initialize, false);

//$.ctrl["view-map"].initialize();
