$.ctrl["view-my-data"] = {
  initialize: function() {
    $.view("view-my-data", this.cadastre);
  },

  cadastre: function() {
    var self = $.ctrl["view-my-data"];
    $(".my-data-status", "#view-my-data").html("Não cadastrado");
    $("#my-data").send(self.sendSuccess, self.sendError);

    $.post("get-my-data", {}, function(data) {
      $("input[name='license_plate']").val(data.license_plate);
      $("input[name='registration']").val(data.registration);
      $("input[name='model_vehicle']").val(data.model_vehicle);
      var allData = (data.license_plate && data.registration && data.model_vehicle) ? true : false;
      switch (user.getStatus()) {
        case "E":
          if (allData)
            $(".my-data-status").html("Cadastro aprovado");
          else
            $(".my-data-status").html("Cadastro aprovado, dados incompletos");
          break;
        case "W":
          if (allData)
            $(".my-data-status").html("Aguardando aprovação");
          else
            $(".my-data-status").html("Aguardando aprovação e preenchimento de dados");
          break;
        default:
          $(".my-data-status").html("Dados incompletos");
      }
    }, null);
  },

  sendSuccess: function(data) {
    $.alert("Dados enviados. Aguardando aprovação.");
    $(".my-data-status", "#view-my-data").html("Aguardando aprovação");
  },

  sendError: function() {
    $.alert("Erro ao enviar dados. Tente novamente mais tarde.");
  }
};

$.ctrl["view-my-data"].initialize();
