var versionApp = "0.3.0.3";

/**
 * Ativa ou desativa mensagens para debug
 */
var debug = {

  active: false,

  msg: function(mensagem) {
    if (this.active == true)
      console.log("[debug]: " + mensagem);
  }
};

/**
 * Inicializa a variável socket
 */
var socket = {};

/**
 * Controla o status do mototaxista entre ativo ou inativo
 * Controla a posição do marcador
 */
var showPanel = false;
var marker_client;
var marker_worker;

/**
 * Controla a escuta no GPS
 */
var watchID = false;
var timeout;

/**
 * Objeto de audios;
 */
var audio = {
  call: "/android_asset/www/media/sons2.mp3",
  cancel: "/android_asset/www/media/cancel.wav"
};

/**
 * Quantidade mínima em metros (m) de deslocamento para enviar informações
 * sobre localização para o servidor
 */
var deslocamentoMin = 50;

/**
 * Url do servidor
 */
var serverDomain = "http://taximoto.sysvale.com/",
  serverUrl = serverDomain + "app-worker/";

/**
 * Auxiliar para verificar status da conexão
 * Não modificar valor!
 */
var connected = false;

/**
 * Tempo máximo de chamada
 * Time em milisegundos
 */
var timeCall = 40000;

/**
 * Última (latitude,longitude) obtida pelo GPS
 * Utilizado para o botão de centralizar posição
 */
var lLatitude = 0.0;
var lLongitude = 0.0;

/**
 * Auxiliar com localização de latitude e longitude
 * Utilizado para cálculo de distância
 */
var aLatitude = 0.0;
var aLongitude = 0.0;

/**
 * Auxiliar com localização de latitude e longitude do cliente passageito
 */
var cLatitude = 0.0;
var cLongitude = 0.0;

/**
 * Auxiliar para inicializar o push notifiction object
 */
var pushNotification;

/**
 * Controle do mapa exibido no dispositivo
 */
var map;
var directionsDisplay;
var directionsService;

/*Redimensionar o mapa*/
function resizeMap() {
  $("#google-maps").outerHeight(function() {
    if (showPanel) {
      return $(this).outerHeight() - $(".panel-action-bottom").outerHeight();
    } else {
      return $(window).height() - ($("#menu").outerHeight() + $("#submenu").outerHeight());
    }
  });
  gps.reloadMap(aLatitude, aLongitude);
}
