function connectSocket() {
  socket = io.connect('http://taximoto.sysvale.com:3000');

  socket.on("call-worker", function(data) {
    if (data.status == 'DC')
      callClose();
    else if (data.status == 'E')
      call(data.ride, data.address);
    else if (data.status == 'DR')
      disableRide();
  });

  socket.on("connect", function() {
    /*$.alert("Conectado");*/
    cordova.plugins.diagnostic.getLocationMode(function(mode) {
      if (mode != "high_accuracy") {
        $.dialog.confirm(
          "Ativar GPS",
          "Por favor, ative o GPS na opção <b>Alta precisão</b> ou habilite todas as opções do gps para que o aplicativo possa funcionar corretamente",
          function() {
            cordova.plugins.diagnostic.switchToLocationSettings();
            $.dialog.close();
            navigator.app.exitApp();
          },
          function() {
            navigator.app.exitApp();
          }
        );
      } else if (connected == false) {
        gps.initialize();
        connected = true;
      }
    }, function(error) {
      navigator.app.exitApp();
    });
    socket.emit('join-worker', {
      uuid: device.uuid
    });
  });

  socket.on("disconnect", function() {
    /*$.alert("Desconectado");*/
  });
};


function startMedia() {
  var arrvibrate = [];
  for (var i = 0; i < 5 * 60; i++)
    arrvibrate.push(1000);

  navigator.vibrate(arrvibrate);
  call_media.play({
    numberOfLoops: 50
  });
}

function stopMedia() {
  call_media.stop();
  navigator.vibrate();
}
